Module
Inhoud
Index 🔎︎

# AscW-functie

Geeft de Unicodewaarde van het eerste teken in een tekenreeks.

Deze functie of constante wordt ingeschakeld met de opdracht Option VBASupport 1 vóór de uitvoerbare programmacode in een module.

## Syntaxis:

    AscW (Text As String)

## Geretourneerde waarde:

Integer

## Parameters:

Tekst: Elke geldige tekenreeks. Alleen het eerste teken in de tekenreeks is relevant.

Gebruik de functies AscW om toetsen te vervangen door Unicode-waarden. Als de functie AscW een lege tekenreeks krijgt, meldt LibreOffice Basic een run-time error. Uitvoerwaarden liggen tussen 0 en 65535.

## Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleAscW

     Print AscW("A") ' geeft 65

     Print AscW("Ω") ' geeft 937

     Print AscW("Αθήνα") ' geeft 913, omdat alleen het eerste teken (Alpha) in aanmerking wordt genomen

    End Sub

Verwante onderwerpen

Chr

ChrW

Asc